@use 'sass:color';

@import './_variables';

@mixin disable-default-a-behaviour {
  &, &:hover, &:focus, &:active {
    text-decoration: none !important;
  }
}

@mixin disable-default-button-behaviour {
  color: inherit;
  background-color: inherit;
  border: none;
  padding: 0;
}

// ---------------------------------------------------------------------------

@mixin proza {
  font-family: 'Proza Libre', sans-serif;
}

// ---------------------------------------------------------------------------

@mixin peertube-link ($hover-effect: true) {
  color: $main-font-color;
  font-weight: $font-bold;
  border-bottom: 3px solid $orange-main;
  transition: border-bottom-width 0.2s ease;
  min-height: 27px;
  text-decoration: none;
  transition: color 0.1s;

  @if $hover-effect {
    &:hover {
      text-decoration: none;
      color: color.scale($main-font-color, $lightness: +20%);
    }
  }
}

// ---------------------------------------------------------------------------

@mixin font-size-14px {
  font-size: 0.875rem !important;
}

@mixin adapt-link-size-14px {
  a {
    border-bottom-width: 2px !important;
  }
}

// ---------------------------------------------------------------------------

@mixin browse-content-card-result {
  display: flex;
  padding: 24px;

  h4 {
    @include font-size(1.25rem);
  }

  .image-container {
    margin-inline-end: 2rem;
    flex-shrink: 0;
  }

  .metadata,
  .description {
    @include font-size-14px;
    @include adapt-link-size-14px;
  }

  .metadata {
    label {
      color: $secondary-font-color;
      margin-top: 0.25rem;
      margin-inline-end: 0.5rem;
    }
  }

  .button-link-container {
    text-align: right;
    margin-top: 1rem;
  }

  @include media-breakpoint-down(md) {
    flex-direction: column;

    .image-container {
      margin-inline-end: 0;
    }

    h4 {
      margin-top: 2rem;
    }

    .button-link-container {
      text-align: left;
    }
  }
}

// ---------------------------------------------------------------------------

@mixin all-width-block {
  margin-inline-start: -$main-horizontal-padding;
  margin-inline-end: -$main-horizontal-padding;
}

@mixin all-width-absolute {
  left: -$main-horizontal-padding;
  right: -$main-horizontal-padding;
}

// ---------------------------------------------------------------------------

@mixin jpt-button {
  display: inline-block;
  padding: 14px 56px;
  font-weight: $font-bold;
  border-radius: 6px;
  text-align: center;
  border: 2px solid $orange-main;

  &:focus-visible {
    box-shadow: 0 0 0 0.25rem $main-font-color;
  }
}

@mixin jpt-primary-button {
  @include jpt-button;

  color: #fff;
  background: $orange-main;

  &:hover {
    opacity: 0.8 !important;
    color: #fff;
  }
}

@mixin jpt-secondary-button {
  @include jpt-button;

  color: $main-font-color;

  &:hover {
    opacity: 0.8;
    background: rgb(242, 105, 13, 0.1);
    color: $main-font-color;
  }
}

@mixin jpt-smaller-button {
  @include font-size-14px;

  padding: 8px 32px !important;
}

// ---------------------------------------------------------------------------

@mixin wrap-text {
  word-break: break-word;
  word-wrap: break-word;
  overflow-wrap: break-word;
}
